> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assess fraud and risk for a session

> Evaluates mobile network, device, and behavioral signals to return a real-time fraud risk score and decision (ALLOW/CHALLENGE/REVIEW/BLOCK).



## OpenAPI

````yaml /openapi.json post /v1/api/shield/assess
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/shield/assess:
    post:
      tags:
        - Authmatech Shield — Fraud & Risk Protection
      summary: Assess fraud and risk for a session
      description: >-
        Evaluates mobile network, device, and behavioral signals to return a
        real-time fraud risk score and decision (ALLOW/CHALLENGE/REVIEW/BLOCK).
      operationId: assess
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShieldAssessBody'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    ShieldAssessBody:
      type: object
      properties:
        mobileNumber:
          type: string
        metadataId:
          type: string
        sessionId:
          type: string
        sdkSessionId:
          type: string
        device:
          $ref: '#/components/schemas/DeviceSignal'
        network:
          $ref: '#/components/schemas/NetworkSignal'
    Response:
      type: object
    DeviceSignal:
      type: object
      properties:
        platform:
          type: string
        osVersion:
          type: string
        model:
          type: string
        appVersion:
          type: string
        sdkVersion:
          type: string
        isRooted:
          type: boolean
        isEmulator:
          type: boolean
        vpnDetected:
          type: boolean
        proxyDetected:
          type: boolean
        appIntegrityStatus:
          type: string
        deviceId:
          type: string
    NetworkSignal:
      type: object
      properties:
        ipAddress:
          type: string
        countryCode:
          type: string
        operator:
          type: string
        connectionType:
          type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````